/// <reference types="node" />
import { Hash } from "crypto";
export declare class ETag {
    partSizeInBytes: number;
    sums: Hash[];
    part: number;
    bytes: number;
    constructor(partSizeInMb?: number);
    update(chunk: string): ETag;
    digest(): string;
}
export declare const createETag: (partSizeInMb?: number | undefined) => ETag;
